<?xml version='1.0' encoding='UTF-8'?>
<catalog>
    <model name="iPhone 12" year="2020">
        <screen size="6.1" type="Super Retina XDR"/>
        <camera size="12MP" type="Ultra Wide and Wide"/>
        <capacities>
            <capacity>64</capacity>
            <capacity>128</capacity>
            <capacity>256</capacity>
        </capacities>
        <colors>
            <color>Black</color>
            <color>White</color>
            <color>Red</color>
            <color>Green</color>
            <color>Blue</color>
            <color>Purple</color>
        </colors>
        <submodels>
            <model name="iPhone 12 Pro" year="2020">
                <screen size="6.1" type="Super Retina XDR"/>
                <camera size="12MP" type="Ultra Wide, Wide, and Telephoto"/>
                <capacities>
                    <capacity>128</capacity>
                    <capacity>256</capacity>
                    <capacity>512</capacity>
                </capacities>
                <colors>
                    <color>Silver</color>
                    <color>Graphite</color>
                    <color>Gold</color>
                    <color>Pacific blue</color>
                </colors>
            </model>
            <model name="iPhone 12 Pro Max" year="2020">
                <screen size="6.7" type="Super Retina XDR"/>
                <camera size="12MP" type="Ultra Wide, Wide, and Telephoto"/>
                <capacities>
                    <capacity>128</capacity>
                    <capacity>256</capacity>
                    <capacity>512</capacity>
                </capacities>
                <colors>
                    <color>Silver</color>
                    <color>Graphite</color>
                    <color>Gold</color>
                    <color>Pacific blue</color>
                </colors>
            </model>
            <model name="iPhone 12 mini" year="2020">
                <screen size="5.4" type="Super Retina XDR"/>
                <camera size="12MP" type="Ultra Wide and Wide"/>
                <capacities>
                    <capacity>64</capacity>
                    <capacity>128</capacity>
                    <capacity>256</capacity>
                </capacities>
                <colors>
                    <color>Black</color>
                    <color>White</color>
                    <color>Red</color>
                    <color>Green</color>
                    <color>Blue</color>
                    <color>Purple</color>
                </colors>
            </model>
        </submodels>
    </model>
    <model name="iPhone SE (2nd generation)" year="2020">
        <screen size="4.7" type="Retina HD"/>
        <camera size="12MP" type="Wide-angle"/>
        <capacities>
            <capacity>64</capacity>
            <capacity>128</capacity>
            <capacity>256</capacity>
        </capacities>
        <colors>
            <color>Black</color>
            <color>White</color>
            <color>Red</color>
        </colors>
    </model>
    <model name="iPhone 11" year="2019">
        <screen size="6.1" type="Super Retina XDR"/>
        <camera size="12MP" type="Ultra Wide and Wide"/>
        <capacities>
            <capacity>64</capacity>
            <capacity>128</capacity>
            <capacity>256</capacity>
        </capacities>
        <colors>
            <color>Black</color>
            <color>White</color>
            <color>Red</color>
            <color>Green</color>
            <color>Yellow</color>
            <color>Purple</color>
        </colors>
        <submodels>
            <model name="iPhone 11 Pro" year="2019">
                <screen size="5.8" type="Super Retina XDR"/>
                <camera size="12MP" type="Ultra Wide, Wide, and Telephoto"/>
                <capacities>
                    <capacity>64</capacity>
                    <capacity>256</capacity>
                    <capacity>512</capacity>
                </capacities>
                <colors>
                    <color>Silver</color>
                    <color>Space gray</color>
                    <color>Gold</color>
                    <color>Midnight green</color>
                </colors>
            </model>
            <model name="iPhone 11 Pro Max" year="2019">
                <screen size="6.5" type="Super Retina XDR"/>
                <camera size="12MP" type="Ultra Wide, Wide, and Telephoto"/>
                <capacities>
                    <capacity>64</capacity>
                    <capacity>256</capacity>
                    <capacity>512</capacity>
                </capacities>
                <colors>
                    <color>Silver</color>
                    <color>Space gray</color>
                    <color>Gold</color>
                    <color>Midnight green</color>
                </colors>
            </model>
        </submodels>
    </model>
    <model name="iPhone XS" year="2018">
        <screen size="5.8" type="Super Retina"/>
        <camera size="12MP" type="Wide-angle and telephoto"/>
        <capacities>
            <capacity>64</capacity>
            <capacity>256</capacity>
            <capacity>512</capacity>
        </capacities>
        <colors>
            <color>Silver</color>
            <color>Space gray</color>
            <color>Gold</color>
        </colors>
        <submodels>
            <model name="iPhone XS Max" year="2018">
                <screen size="6.5" type="Super Retina"/>
                <camera size="12MP" type="Wide-angle and telephoto"/>
                <capacities>
                    <capacity>64</capacity>
                    <capacity>256</capacity>
                    <capacity>512</capacity>
                </capacities>
                <colors>
                    <color>Silver</color>
                    <color>Space gray</color>
                    <color>Gold</color>
                </colors>
            </model>
        </submodels>
    </model>
    <model name="iPhone XR" year="2018">
        <screen size="6.1" type="Liquid Retina"/>
        <camera size="12MP" type="Wide-angle"/>
        <capacities>
            <capacity>64</capacity>
            <capacity>128</capacity>
            <capacity>256</capacity>
        </capacities>
        <colors>
            <color>Black</color>
            <color>White</color>
            <color>Blue</color>
            <color>Red</color>
            <color>Yellow</color>
            <color>Coral</color>
        </colors>
    </model>
</catalog>